<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

class WIP_Assets_Manager {

    public function __construct() {
        add_action('admin_enqueue_scripts', [$this, 'load_admin_scripts']);
        add_action('admin_head', [$this, 'admin_head']);
        add_action('wp_footer', [$this, 'wp_footer']);
    }

    public function load_admin_scripts() {
        wp_enqueue_media();

        $page = $_GET['page'] ?? null;
        if ($page == 'wip-options') {
            wp_register_script('wip-uikit-scripts', WIP_JS_URL . 'uikit.min.js', ['jquery'], '3.2.2', true);
            wp_enqueue_script('wip-uikit-scripts');

            wp_register_script('wip-uikit-icons-scripts', WIP_JS_URL . 'uikit-icons.min.js', ['jquery'], '3.2.2', true);
            wp_enqueue_script('wip-uikit-icons-scripts');

            $uikit = !is_rtl() ? 'uikit.min.css' : 'uikit-rtl.min.css';
            wp_register_style('wip-uikit-styles', WIP_CSS_URL . $uikit, null, '3.2.2');
            wp_enqueue_style('wip-uikit-styles');
        }

        wp_register_script('wip-scripts', WIP_JS_URL . 'admin-scripts.js', ['jquery'], WIP_VER, true);
        wp_enqueue_script('wip-scripts');
        wp_localize_script('wip-scripts', 'WIP_DATA',
            [
                'options_saved' => __('Options successfully saved.', 'wip'),
                'error_occurred' => __('An error has occurred!', 'wip'),
                'send_invoice' => __('Send invoice to user', 'wip'),
                'send_invoice_sms' => __('Send invoice sms to user', 'wip'),
                'please_wait' => __('Please wait', 'wip'),
                'invoice_send_to_user' => __('Invoice successfully send to user.', 'wip'),
                'home_url' => esc_url(home_url()),
                'base_url' => esc_url(WIP_Helper::base_url()),
            ]
        );

        wp_register_style('wip-styles', WIP_CSS_URL . 'admin-styles.css', null, WIP_VER);
        wp_enqueue_style('wip-styles');

        if (is_rtl()) {
            wp_register_style('wip-styles-rtl', WIP_CSS_URL . 'admin-styles-rtl.css', null, WIP_VER);
            wp_enqueue_style('wip-styles-rtl');
        }
    }

    public function admin_head() {
        $page = $_GET['page'] ?? null;
        if ($page == 'wip-options') {
            echo '<style type="text/css">body {height: auto;}</style>';
        }
        echo '<meta name="wip-nonce" content="' . wp_create_nonce('wip_nonce') . '">';
    }

    public function wp_footer() {
        ?>
        <script type="text/javascript">
            jQuery(document).ready(function ($) {
                $('.dokan-order-action  a.dokan-btn[href*="type=invoice"]').html('<i class="fa fa-file-text-o"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=packing-slip"]').html('<i class="fa fa-list-alt"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=post-label"]').html('<i class="fa fa-envelope-o"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=order-label"]').html('<i class="fa fa-bars"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=shop-mini-label"]').html('<i class="fa fa-university"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=customer-mini-label"]').html('<i class="fa fa-address-card-o"></i>');
                $('.dokan-order-action  a.dokan-btn[href*="type=product-label"]').html('<i class="fa fa-th-large"></i>');
            });
        </script>
        <?php
    }
}