<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Farapayamak extends WIP_SMS {

	public function send() {
        ini_set( "soap.wsdl_cache_enabled", "0" );

        if ($this->pattern_code) {
            $args = [];
            $args['body'] = [
                'username' => $this->username,
                'password' => $this->password,
                'to' => $this->to,
                'bodyId' => $this->pattern_code,
                'text' => implode(';', $this->get_pattern_message())
            ];

            $response = wp_remote_post('https://rest.payamak-panel.com/api/SendSMS/BaseServiceNumber', $args);
            if (is_wp_error($response)) {
                return false;
            }
            $response = wp_remote_retrieve_body($response);
            $response = json_decode($response, true);

            $recid = isset($response['Value']) ? $response['Value'] : '';
            $is_sent = isset($response['RetStatus']) && 1 === $response['RetStatus'] && strlen($recid) > 10;

            return $is_sent ? ['recid' => $recid] : false;
        } else {
            try {
                $client = new SoapClient( 'http://api.payamak-panel.com/post/send.asmx?wsdl', array( 'encoding' => 'UTF-8' ) );

                $parameters['username'] = $this->username;
                $parameters['password'] = $this->password;
                $parameters['from']     = $this->from;
                $parameters['to']       = array( $this->to );
                $parameters['text']     = $this->message;
                $parameters['isflash']  = false;
                $parameters['udh']      = "";
                $parameters['recId']    = array( 0 );
                $parameters['status']   = 0x0;
                $status = $client->SendSms( $parameters )->SendSmsResult;
                return $status;
            } catch ( SoapFault $ex ) {
                return $ex->faultstring;
            }
        }
	}
}